//@see rGlyphduino.h for details
#include "B4RDefines.h"
namespace B4R {
	
	void B4RAccelStepper::Initialize(byte interface, byte pin1, byte pin2, byte pin3, byte pin4, bool enable) {
		bn = new (be) AccelStepper(interface, pin1, pin2, pin3, pin4, enable);
	}
	
	bool B4RAccelStepper::run() {
		return bn->run();
	}	
	
	void B4RAccelStepper::moveTo(long absolute) {
		bn->moveTo(absolute);
	}	

	void B4RAccelStepper::setSpeed(float speed) {
		bn->setSpeed(speed);
	}	
	
	bool B4RAccelStepper::runSpeedToPosition() {
		return bn->runSpeedToPosition();
	}	

	bool B4RAccelStepper::runSpeed() {
		return bn->runSpeed();
	}	
	
	void B4RAccelStepper::setMaxSpeed(float speed) {
		bn->setMaxSpeed(speed);
	}	
	
	void B4RAccelStepper::move(long relative) {
		bn->move(relative);
	}	
	
	float B4RAccelStepper::maximumSpeed() {
		return bn->maxSpeed();
	}	

	void B4RAccelStepper::setAcceleration(float acceleration) {
		bn->setAcceleration(acceleration);
	}	
	
	float B4RAccelStepper::GetSpeed() {
		return bn->speed();
	}		
	
	long B4RAccelStepper::distanceToGo() {
		return bn->distanceToGo();
	}			
	
	long B4RAccelStepper::targetPosition() {
		return bn->targetPosition();
	}		

	long B4RAccelStepper::GetCurrentPosition() {
		return bn->currentPosition();
	}	

	void B4RAccelStepper::setCurrentPosition(long position) {
		bn->setCurrentPosition(position);
	}		
	
	void B4RAccelStepper::runToPosition() {
		bn->runToPosition();
	}		
	
	void B4RAccelStepper::runToNewPosition(long position) {
		bn->runToNewPosition(position);
	}	

	void B4RAccelStepper::stop(){
		bn->stop();
	}	

	void B4RAccelStepper::disableOutputs(){
		bn->disableOutputs();
	}		
	
	void B4RAccelStepper::enableOutputs(){
		bn->enableOutputs();
	}		
	
	void B4RAccelStepper::setMinPulseWidth(UInt minWidth){
		bn->setMinPulseWidth(minWidth);
	}		
	
	void B4RAccelStepper::setEnablePin(byte enablePin){
		bn->setEnablePin(enablePin);
	}		
	
	void B4RAccelStepper::setPinsInverted_1(bool directionInvert, bool stepInvert, bool enableInvert){
		bn->setPinsInverted(directionInvert, stepInvert, enableInvert);
	}		
	
	void B4RAccelStepper::setPinsInverted_2(bool pin1Invert, bool pin2Invert, bool pin3Invert, bool pin4Invert, bool enableInvert){
		bn->setPinsInverted(pin1Invert, pin2Invert, pin3Invert, pin4Invert, enableInvert);
	}		
	
	bool B4RAccelStepper::isRunning() {
		return bn->isRunning();
	}	
	



/* 	void B4RMultiStepper::Initialize() {
		bo = new (bf) MultiStepper();
	} */	
	
//	bool B4RMultiStepper::addStepper(B4RAccelStepper& stepper) {
//		bo->addStepper(stepper->bn);
//	}		
	
	
}
